Subject: bug#7782: 24.0.50; 24.0.50: set-scroll-bar-mode missing under non-GUI environments

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Jan 2011 18:45:32 -0500

> In a without-x build, neither tool-bar-mode nor set-scroll-bar-mode is
> defined.

That's the problem.  I know Emacs has many such things already, but
I think these are all bugs: I think we should adopt a convention that
functions/variables should either be specific to one particular kind of
display, or be display-independent.  Since (set-)scroll-bar-mode is not
specific to one particular kind of display (it is shared by w32, X11,
and ns), it should exist independently from any particular display.

Similarly, if a function doesn't signal an error when run in -nw, it
should generally work just as well in --without-x.

        Stefan